'use strict';

var classCallCheck = function (instance, Constructor) {
  if (!(instance instanceof Constructor)) {
    throw new TypeError("Cannot call a class as a function");
  }
};

var createClass = function () {
  function defineProperties(target, props) {
    for (var i = 0; i < props.length; i++) {
      var descriptor = props[i];
      descriptor.enumerable = descriptor.enumerable || false;
      descriptor.configurable = true;
      if ("value" in descriptor) descriptor.writable = true;
      Object.defineProperty(target, descriptor.key, descriptor);
    }
  }

  return function (Constructor, protoProps, staticProps) {
    if (protoProps) defineProperties(Constructor.prototype, protoProps);
    if (staticProps) defineProperties(Constructor, staticProps);
    return Constructor;
  };
}();

var _extends = Object.assign || function (target) {
  for (var i = 1; i < arguments.length; i++) {
    var source = arguments[i];

    for (var key in source) {
      if (Object.prototype.hasOwnProperty.call(source, key)) {
        target[key] = source[key];
      }
    }
  }

  return target;
};

var Gantt=function(){function a(b,c){classCallCheck(this,a),this.container=$(b),this.registerLanguage(),this.registerTemplates(),'undefined'!=typeof c&&this.loadProject(c);}return createClass(a,[{key:'registerLanguage',value:function a(){GanttMaster.messages.GANTT_ERROR_LOADING_DATA_TASK_REMOVED=app.vtranslate('JS_GANTT_ERROR_LOADING_DATA_TASK_REMOVED','Project'),GanttMaster.messages.INVALID_DATE_FORMAT=app.vtranslate('JS_INVALID_DATE_FORMAT','Project'),GanttMaster.messages.GANTT_SEMESTER_SHORT=app.vtranslate('JS_GANTT_SEMESTER_SHORT','Project'),GanttMaster.messages.GANTT_SEMESTER=app.vtranslate('JS_GANTT_SEMESTER','Project'),GanttMaster.messages.GANTT_QUARTER_SHORT=app.vtranslate('JS_GANTT_QUARTER_SHORT','Project'),GanttMaster.messages.GANTT_QUARTER=app.vtranslate('JS_GANTT_QUARTER','Project'),GanttMaster.messages.GANTT_WEEK=app.vtranslate('JS_GANTT_WEEK','Project'),GanttMaster.messages.GANTT_WEEK_SHORT=app.vtranslate('JS_GANTT_WEEK_SHORT','Project'),Gantt_i18n.YES=app.vtranslate('JS_YES','Project'),Gantt_i18n.NO=app.vtranslate('JS_NO','Project'),Gantt_i18n.INVALID_DATA=app.vtranslate('JS_INVALID_DATA','Project'),Gantt_i18n.ERROR_ON_FIELD=app.vtranslate('JS_ERROR_ON_FIELD','Project'),Gantt_i18n.OUT_OF_BOUDARIES=app.vtranslate('JS_OUT_OF_BOUDARIES','Project'),Gantt_i18n.ERR_FIELD_MAX_SIZE_EXCEEDED=app.vtranslate('JS_ERR_FIELD_MAX_SIZE_EXCEEDED','Project'),Gantt_i18n.WEEK_SHORT=app.vtranslate('JS_WEEK_SHORT','Project'),Gantt_i18n.PROCEED=app.vtranslate('JS_PROCEED','Project'),Gantt_i18n.PREV=app.vtranslate('JS_PREV','Project'),Gantt_i18n.NEXT=app.vtranslate('JS_NEXT','Project'),Gantt_i18n.HINT_SKIP=app.vtranslate('JS_HINT_SKIP','Project'),Date.monthNames=App.Fields.Date.fullMonthsTranslated.map(function(a){return a}),Date.monthAbbreviations=App.Fields.Date.monthsTranslated.map(function(a){return a}),Date.dayAbbreviations=App.Fields.Date.daysTranslated.map(function(a){return a}),Date.dayNames=App.Fields.Date.fullDaysTranslated.map(function(a){return a}),Date.firstDayOfWeek=CONFIG.firstDayOfWeekNo,Date.defaultFormat=CONFIG.dateFormat,Date.today=app.vtranslate('JS_TODAY'),Number.decimalSeparator=CONFIG.currencyDecimalSeparator,Number.groupingSeparator=CONFIG.currencyGroupingSeparator,Number.currencyFormat='###,##0.00';}},{key:'registerTemplates',value:function a(){this.ganttTemplateFunctions=[],this.ganttTemplateFunctions.push({type:'GANTBUTTONS',render:function a(){return '<div class="ganttButtonBar noprint">\n\t\t\t\t<div class="buttons">\n\t\t\t\t\t<button class="js-gantt__expand-all-btn button textual icon " title="'+app.vtranslate('JS_GANTT_EXPAND_ALL')+'"><span class="teamworkIcon">6</span></button>\n\t\t\t\t\t<button class="js-gantt__collapse-all-btn button textual icon " title="'+app.vtranslate('JS_GANTT_COLLAPSE_ALL')+'"><span class="teamworkIcon">5</span></button>\n\t\t\t\t\t<span class="ganttButtonSeparator"></span>\n\t\t\t\t\t<button class="js-gantt__zoom-out-btn button textual icon " title="'+app.vtranslate('JS_GANTT_ZOOM_OUT')+'"><span class="teamworkIcon">)</span></button>\n\t\t\t\t\t<button class="js-gantt__zoom-in-btn button textual icon " title="'+app.vtranslate('JS_GANTT_ZOOM_IN')+'"><span class="teamworkIcon">(</span></button>\n\t\t\t\t\t<span class="ganttButtonSeparator"></span>\n\t\t\t\t\t<button class="js-gantt__resize-0-btn button textual icon" title="'+app.vtranslate('JS_GANTT_RESIZE_0')+'"><span class="teamworkIcon">F</span>\n\t\t\t\t\t</button>\n\t\t\t\t\t<button class="js-gantt__resize-50-btn button textual icon" title="'+app.vtranslate('JS_GANTT_RESIZE_50')+'"><span class="teamworkIcon">O</span>\n\t\t\t\t\t</button>\n\t\t\t\t\t<button class="js-gantt__resize-100-btn button textual icon" title="'+app.vtranslate('JS_GANTT_RESIZE_100')+'"><span class="teamworkIcon">R</span>\n\t\t\t\t\t</button>\n\t\t\t\t\t<span class="ganttButtonSeparator"></span>\n\t\t\t\t\t<button class="js-gantt__front-filter button textual icon" title="'+app.vtranslate('JS_GANTT_FILTER')+'"><span class="teamworkIcon">f</span></button>\n\t\t\t\t</div>\n\t\t\t</div>'}}),this.ganttTemplateFunctions.push({type:'TASKSEDITHEAD',render:function a(){return '<table class="gdfTable" cellspacing="0" cellpadding="0">\n\t\t\t\t<thead>\n\t\t\t\t<tr style="height:40px">\n      \t\t\t\t<th class="gdfColHeader gdfResizable" style="width:80px">'+app.vtranslate('JS_NO.','Project')+'</th>\n\t\t\t\t\t<th class="gdfColHeader gdfResizable" style="width:300px">'+app.vtranslate('JS_NAME')+'</th>\n\t\t\t\t\t<th class="gdfColHeader gdfResizable" style="width:60px">'+app.vtranslate('JS_PRIORITY')+'</th>\n\t\t\t\t\t<th class="gdfColHeader gdfResizable" style="width:100px">'+app.vtranslate('JS_STATUS')+'</th>\n\t\t\t\t\t<th class="gdfColHeader gdfResizable" style="width:70px">'+app.vtranslate('JS_DURATION_SHORT','Project')+'</th>\n\t\t\t\t\t<th class="gdfColHeader gdfResizable" style="width:50px">%</th>\n\t\t\t\t\t<th class="gdfColHeader gdfResizable" style="width:200px">'+app.vtranslate('JS_ASSIGNED','Project')+'</th>\n\t\t\t\t</tr>\n\t\t\t\t</thead>\n\t\t\t</table>'}}),this.ganttTemplateFunctions.push({type:'TASKROW',render:function b(a){return '<tr id="tid_'+a.id+'" taskId="'+a.id+'" class="taskEditRow '+(a.isParent()?'isParent':'')+' '+(a.collapsed?'collapsed':'')+'" level="'+a.level+'">\n\t   \t\t\t<td class="gdfCell text-center">'+a.no+'</td>\n\t\t\t\t<td class="gdfCell indentCell" style="padding-left:'+(10*a.level+18)+'px;" title="'+a.name+'" data-toggle="tooltip">\n\t\t\t\t\t<div class="exp-controller" align="center"></div>\n\t\t\t\t\t'+('project'===a.type?'<span class="fas fa-briefcase"></span>':'milestone'===a.type?'<i class="fas fa-folder"></i>':'<i class="fas fa-file"></i>')+'\n\t\t\t\t\t<input type="text" name="name" value="'+a.name+'" placeholder="name" '+(a.canWrite?'canWrite':'disabled')+'>\n\t\t\t\t</td>\n\t\t\t\t<td class="gdfCell"><input type="text" name="priority" class="text-center" autocomplete="off" value="'+(a.priority_label?a.priority_label:'')+'"></td>\n\t\t\t\t<td class="gdfCell"><input type="text" name="status" class="text-center" autocomplete="off" value="'+(a.status_label?a.status_label:'')+'"></td>\n\t\t\t\t<td class="gdfCell"><input type="text" name="duration" class="text-center" autocomplete="off" value="'+a.duration+'"></td>\n\t\t\t\t<td class="gdfCell"><input type="text" name="progress" class="validated text-center" entrytype="PERCENTILE" autocomplete="off" value="'+(a.progress?a.progress:'')+'" '+(a.progressByWorklog?'readOnly':'')+'></td>\n\t\t\t\t<td class="gdfCell"><input type="text" name="assigned" class="text-center" autocomplete="off" value="'+a.assigned_user_name+'"></td>\n\t\t\t</tr>'}}),this.ganttTemplateFunctions.push({type:'TASKEMPTYROW',render:function a(){return '<tr class="taskEditRow emptyRow">\n\t\t\t\t<td class="gdfCell"></td>\n\t\t\t\t<td class="gdfCell"></td>\n\t\t\t\t<td class="gdfCell"></td>\n\t\t\t\t<td class="gdfCell"></td>\n\t\t\t\t<td class="gdfCell"></td>\n\t\t\t\t<td class="gdfCell"></td>\n\t\t\t\t<td class="gdfCell"></td>\n\t\t\t</tr>'}}),this.ganttTemplateFunctions.push({type:'TASKBAR',render:function b(a){return '<div class="taskBox taskBoxDiv" taskId="'+a.id+'">\n\t\t\t\t<div class="layout '+(a.hasExternalDep?'extDep':'')+'">\n\t\t\t\t\t<div class="taskProgress"\n\t\t\t\t\t\t style="width:'+(100<a.progress?100:a.progress)+'%; background-color:'+(100<a.progress?'red':'rgb(153,255,51);')+';"></div>\n\t\t\t\t\t<div class="milestone '+(a.startIsMilestone?'active':'')+'"></div>\n\t\t\t\t\t<div class="taskLabel"></div>\n\t\t\t\t\t<div class="milestone end '+(a.endIsMilestone?'active':'')+'"></div>\n\t\t\t\t</div>\n\t\t\t</div>'}}),this.ganttTemplateFunctions.push({type:'CHANGE_STATUS',render:function a(){return '<div class="taskStatusBox">\n\t\t\t\t<div class="taskStatus cvcColorSquare" status="STATUS_ACTIVE" title="Active"></div>\n\t\t\t\t<div class="taskStatus cvcColorSquare" status="STATUS_DONE" title="Completed"></div>\n\t\t\t\t<div class="taskStatus cvcColorSquare" status="STATUS_FAILED" title="Failed"></div>\n\t\t\t\t<div class="taskStatus cvcColorSquare" status="STATUS_SUSPENDED" title="Suspended"></div>\n\t\t\t\t<div class="taskStatus cvcColorSquare" status="STATUS_WAITING" title="Waiting" style="display: none;"></div>\n\t\t\t\t<div class="taskStatus cvcColorSquare" status="STATUS_UNDEFINED" title="Undefined"></div>\n\t\t\t</div>'}}),this.ganttTemplateFunctions.push({type:'ASSIGNMENT_ROW',render:function b(a){return '<tr taskId="'+a.task.id+'" assId="'+a.assig.id+'" class="assigEditRow">\n\t\t\t\t<td><select name="resourceId" class="formElements" '+(0==a.assig.id.indexOf('tmp_')?'':'disabled')+'></select></td>\n\t\t\t\t<td><select type="select" name="roleId" class="formElements"></select></td>\n\t\t\t\t<td><input type="text" name="effort" value="'+getMillisInHoursMinutes(a.assig.effort)+'" size="5" class="formElements"></td>\n\t\t\t\t<td align="center"><span class="teamworkIcon delAssig del" style="cursor: pointer">d</span></td>\n\t\t\t</tr>'}}),this.ganttTemplateFunctions.push({type:'RESOURCE_ROW',render:function b(a){return '<tr resId="'+a.id+'" class="resRow">\n\t\t\t\t<td><input type="text" name="name" value="'+a.name+'" style="width:100%;" class="formElements"></td>\n\t\t\t\t<td align="center"><span class="teamworkIcon delRes del" style="cursor: pointer">d</span></td>\n\t\t\t</tr>'}}),this.ganttTemplateFunctions.push({type:'TASKEDITHEAD',render:function a(){return ''}}),this.ganttTemplateFunctions.push({type:'TASK_EDITOR',render:function a(){return ''}}),this.ganttTemplateFunctions.push({type:'RESOURCE_EDITOR',render:function a(){return ''}}),this.ganttTemplateFunctions.push({type:'RESOURCE_EDITOR',render:function a(){return ''}});}},{key:'makeTree',value:function i(a){var b=1<arguments.length&&void 0!==arguments[1]?arguments[1]:{id:0};b=_extends({},b),'undefined'==typeof b.children&&(b.children=[]);var c=!0,d=!1,e=void 0;try{for(var f,g,h=a[Symbol.iterator]();!(c=(f=h.next()).done);c=!0)g=f.value,g=_extends({},g),'undefined'==typeof g.parent&&(g.parent=0),g.parent===b.id&&(g=this.makeTree(a,g),b.children.push(g));}catch(a){d=!0,e=a;}finally{try{!c&&h.return&&h.return();}finally{if(d)throw e}}return b}},{key:'flattenTree',value:function i(a){var b=1<arguments.length&&void 0!==arguments[1]?arguments[1]:[],c=!0,d=!1,e=void 0;try{for(var f,g,h=a.children[Symbol.iterator]();!(c=(f=h.next()).done);c=!0)g=f.value,b.push(g),b=this.flattenTree(g,b);}catch(a){d=!0,e=a;}finally{try{!c&&h.return&&h.return();}finally{if(d)throw e}}return b}},{key:'getBranchesWithStatus',value:function k(a,b,c){c=_extends({},c);var d=[];c.children=c.children.map(function(a){return a});var e=!0,f=!1,g=void 0;try{for(var h,i,j=c.children[Symbol.iterator]();!(e=(h=j.next()).done);e=!0)i=h.value,(i.module!==a||-1<b.map(function(a){return a.value}).indexOf(i.normalized_status)||0===b.length)&&d.push(this.getBranchesWithStatus(a,b,i));}catch(a){f=!0,g=a;}finally{try{!e&&j.return&&j.return();}finally{if(f)throw g}}return c.children=d,c}},{key:'filterProjectData',value:function d(a){var b=Object.assign({},a),c=this.makeTree(b.tasks);for(var e in this.filter.status)this.filter.status.hasOwnProperty(e)&&(c=this.getBranchesWithStatus(e,this.filter.status[e],c));return b.tasks=this.flattenTree(c),b}},{key:'loadProject',value:function b(a){this.projectData=a,this.statuses=this.projectData.statuses,this.filter={status:this.projectData.activeStatuses},this.gantt=new GanttMaster(this.ganttTemplateFunctions),this.gantt.resourceUrl='/libraries/jquery-gantt-editor/res/',this.gantt.init(this.container),this.allTasks=this.projectData.tasks,0<this.allTasks.length&&(this.gantt.loadProject($.extend(!0,{},this.filterProjectData(this.projectData))),this.registerEvents());}},{key:'loadProjectFromAjax',value:function d(a){var b=this,c=jQuery.progressIndicator({blockInfo:{enabled:!0}});AppConnector.request(a).done(function(a){b.loadProject(a.result),c.progressIndicator({mode:'hide'});});}},{key:'reloadData',value:function b(a){this.gantt.loadProject(a);}},{key:'saveFilter',value:function b(a){this.filter=a,this.reloadData(this.filterProjectData(this.projectData));}},{key:'getStatusFromValue',value:function i(a,b){var c=!0,d=!1,e=void 0;try{for(var f,g,h=this.statuses[b][Symbol.iterator]();!(c=(f=h.next()).done);c=!0)if(g=f.value,g.value===a)return Object.assign({},g)}catch(a){d=!0,e=a;}finally{try{!c&&h.return&&h.return();}finally{if(d)throw e}}app.errorLog('Status not found ['+a+']');}},{key:'showFiltersModal',value:function d(){var a=this,b=this,c=bootbox.dialog({show:'false',message:'<div class="js-gantt__filter-modal form" data-js="container">\n\t\t\t\t<div class="form-group">\n\t\t\t\t\t<label>'+app.vtranslate('JS_PROJECT_STATUSES','Project')+':</label>\n\t\t\t\t\t<select class="select2 form-control" id="js-gantt__filter-project" multiple>\n\t\t\t\t\t\t'+b.statuses.Project.map(function(b){return '<option value="'+b.value+'" '+(0<=a.filter.status.Project.map(function(a){return a.value}).indexOf(b.value)?'selected':'')+'>'+b.label+'</option>'})+'\n\t\t\t\t\t</select>\n\t\t\t\t</div>\n\t\t\t\t<div class="form-group">\n\t\t\t\t<label>'+app.vtranslate('JS_MILESTONE_STATUSES','Project')+':</label>\n\t\t\t\t\t<select class="select2 form-control" id="js-gantt__filter-milestone" multiple>\n\t\t\t\t\t\t'+b.statuses.ProjectMilestone.map(function(b){return '<option value="'+b.value+'" '+(0<=a.filter.status.ProjectMilestone.map(function(a){return a.value}).indexOf(b.value)?'selected':'')+'>'+b.label+'</option>'})+'\n\t\t\t\t\t</select>\n\t\t\t\t</div>\n\t\t\t\t<div class="form-group">\n\t\t\t\t<label>'+app.vtranslate('JS_TASK_STATUSES','Project')+':</label>\n\t\t\t\t\t<select class="select2 form-control" id="js-gantt__filter-task" multiple>\n\t\t\t\t\t\t'+b.statuses.ProjectTask.map(function(b){return '<option value="'+b.value+'" '+(0<=a.filter.status.ProjectTask.map(function(a){return a.value}).indexOf(b.value)?'selected':'')+'>'+b.label+'</option>'})+'\n\t\t\t\t\t</select>\n\t\t\t\t</div>\n\t\t\t</div>',title:'<span class="fas fa-filter"></span> '+app.vtranslate('JS_FILTER_BY_STATUSES','Project'),buttons:{success:{label:'<span class="fas fa-check mr-1"></span>'+app.vtranslate('JS_UPDATE_GANTT','Project'),className:'btn-success',callback:function a(){b.saveFilter({status:{Project:$('#js-gantt__filter-project',this).val().map(function(a){return b.getStatusFromValue(a,'Project')}),ProjectMilestone:$('#js-gantt__filter-milestone',this).val().map(function(a){return b.getStatusFromValue(a,'ProjectMilestone')}),ProjectTask:$('#js-gantt__filter-task',this).val().map(function(a){return b.getStatusFromValue(a,'ProjectTask')})}});}},danger:{label:'<span class="fas fa-times mr-1"></span>'+app.vtranslate('JS_CANCEL'),className:'btn-danger',callback:function a(){}}}});App.Fields.Picklist.showSelect2ElementView($(c).find('.select2')),c.show();}},{key:'registerEvents',value:function c(){var a=this.container,b=this;a.find('.js-gantt__expand-all-btn',a).on('click',function(b){b.preventDefault(),a.trigger('expandAll.gantt');}),a.find('.js-gantt__collapse-all-btn',a).on('click',function(b){b.preventDefault(),a.trigger('collapseAll.gantt');}),a.find('.js-gantt__zoom-in-btn',a).on('click',function(b){b.preventDefault(),a.trigger('zoomPlus.gantt');}),a.find('.js-gantt__zoom-out-btn').on('click',function(b){b.preventDefault(),a.trigger('zoomMinus.gantt');}),a.find('.js-gantt__print-btn').on('click',function(b){b.preventDefault(),a.trigger('print.gantt');}),a.find('.js-gantt__show-critical-path-btn').on('click',function(a){a.preventDefault(),this.gantt.gantt.showCriticalPath=!gantt.gantt.showCriticalPath,this.gantt.redraw();}.bind(this)),a.find('.js-gantt__resize-0-btn').on('click',function(a){a.preventDefault(),this.gantt.splitter.resize(.1);}.bind(this)),a.find('.js-gantt__resize-50-btn').on('click',function(a){a.preventDefault(),this.gantt.splitter.resize(50);}.bind(this)),a.find('.js-gantt__resize-100-btn').on('click',function(a){a.preventDefault(),this.gantt.splitter.resize(100);}.bind(this)),a.find('.js-gantt__fullscreen-btn').on('click',function(b){b.preventDefault(),a.trigger('fullScreen.gantt');}.bind(this)),a.find('.js-gantt__front-filter').on('click',function(a){a.preventDefault(),b.showFiltersModal();}),a.find('[data-toggle="tooltip"]').tooltip();}}]),a}();
//# sourceMappingURL=Gantt.min.js.map
